Bug 379911 - dmraid needs to generate UUIDs for lib device-mapper
dmraid needs to generate UUIDs for lib device-mapper
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 379931 383801
  Show dependency treegraph
 
Reported: 2007-11-13 08:04 EST by Heinz Mauelshagen
Modified: 2008-06-16 22:51 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmraid libdevmapper UUID creation patch (1.69 KB, patch)
2007-11-13 08:23 EST, Heinz Mauelshagen
no flags Details | Diff
Add subsystem prefix "DMRAID-" to device-mapper UUID generated. (1.28 KB, patch)
2007-11-16 06:45 EST, Heinz Mauelshagen
no flags Details | Diff

  None (edit)
Description Heinz Mauelshagen 2007-11-13 08:04:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); de; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5 pango-text

Description of problem:
libdevmapper requires UUIds for mapped devices, which libdmraid doesn't generate yet.

Version-Release number of selected component (if applicable):
dmraid-1.0.0.rc14

How reproducible:
Always


Steps to Reproduce:
1. run dmraid -ay

Actual Results:


Expected Results:


Additional info:
Comment 1 Heinz Mauelshagen 2007-11-13 08:23:29 EST
Created attachment 256841 [details]
dmraid libdevmapper UUID creation patch
Comment 2 Fedora Update System 2007-11-15 19:35:45 EST
dmraid-1.0.0.rc14-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dmraid'
Comment 3 Fedora Update System 2007-11-15 19:39:43 EST
dmraid-1.0.0.rc14-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dmraid'
Comment 4 Heinz Mauelshagen 2007-11-16 06:45:06 EST
Created attachment 261031 [details]
Add subsystem prefix "DMRAID-" to device-mapper UUID generated.

On request from agk@redhat.com (see comment in bz#383801) we are requested to
generate a subsystem prefix with the UUID.
Attached patch adds such prefix "DMRAID-" followed by the unique RAD set name.
Patch adds onto 256841.
Comment 5 Bug Zapper 2008-05-14 11:02:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:51:17 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.